Bug 488843 - update broke ATI driver for multiple screens
update broke ATI driver for multiple screens
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 17:06 EST by Joachim Deguara
Modified: 2009-12-18 03:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:57:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf for bigger virtual screen size (192 bytes, text/plain)
2009-03-05 17:06 EST, Joachim Deguara
no flags Details
log with no second screen and no xorg.conf (46.49 KB, text/plain)
2009-03-05 17:12 EST, Joachim Deguara
no flags Details
log with no second screen but with xorg.conf_bigscreen (39.87 KB, text/plain)
2009-03-05 17:13 EST, Joachim Deguara
no flags Details

  None (edit)
Description Joachim Deguara 2009-03-05 17:06:26 EST
Created attachment 334223 [details]
xorg.conf for bigger virtual screen size

Description of problem:

After updating my system, as normal, X stopped working upon reboot.  I traced this to me either having a second screen attached to the laptop or by using a xorg.conf that expanded the virtual screen size.
Looking at the diffs of the log files comparing with and without the xorg.conf for a big screen (and while having no second monitor attached) I saw it looks like it has to do with the framebuffer memory size.  I went into BIOS and changed the amount of memory for graphics from 32MB to 64MB and also tried 128 MB but both bigger sizes would also break X and this time without the xorg.conf or second monitor.


Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.10.0-2.fc10.i386


How reproducible:

100%

Steps to Reproduce:
1. boot with nomodeset (KMS is broke on this RS485 system) into runlevel 3
2. use attached xorg.conf to increase virtual screen size (or plug in second monitor)
3. start X
  
Actual results:

crash

Expected results:

pretty X


Additional info: 

01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]
Comment 1 Joachim Deguara 2009-03-05 17:12:12 EST
Created attachment 334224 [details]
log with no second screen and no xorg.conf
Comment 2 Joachim Deguara 2009-03-05 17:13:25 EST
Created attachment 334225 [details]
log with no second screen but with xorg.conf_bigscreen
Comment 3 Joachim Deguara 2009-03-18 17:32:41 EDT
The system works if I disable DRI.  I did this after a git bisect pointed to commit 72992668.  But talking with Alex this appears to be a GART issue.  I tried with the vanilla kernel 2.6.28.7 but it also had this problem.
Comment 4 Bug Zapper 2009-11-18 06:17:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 03:57:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.